%define oname ppx_expect

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 6
Summary:        Cram like framework for OCaml

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-base >= 0.11
BuildRequires:  ocaml-ppx_assert >= 1:0.11
BuildRequires:  ocaml-ppx_compare >= 1:0.11
BuildRequires:  ocaml-ppx_custom_printf >= 1:0.11
BuildRequires:  ocaml-ppx_fields_conv >= 1:0.11
BuildRequires:  ocaml-ppx_here >= 0.11
BuildRequires:  ocaml-ppx_inline_test >= 0.11
BuildRequires:  ocaml-ppx_sexp_conv >= 1:0.11
BuildRequires:  ocaml-ppx_variants_conv >= 1:0.11
BuildRequires:  ocaml-stdio >= 0.11
BuildRequires:  ocaml-migrate-parsetree >= 1.0
BuildRequires:  ocaml-ppxlib >= 0.1.0
BuildRequires:  ocaml-re >= 1.5.0
BuildRequires:  ocaml-result-devel

Requires:       ocaml-fieldslib

%description
Cram like framework for OCaml

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
# circular dependency, here it requires ppx_jane for tests
# jbuilder runtest

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%{_libdir}/ocaml/%{oname}/collector/runtime.js
%{_libdir}/ocaml/%{oname}/ppx.exe
%{_libdir}/ocaml/stublibs/dllexpect_test_collector_stubs.so

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*

%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-6.mga8
+ Revision: 1670824
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-5.mga8
+ Revision: 1551933
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1545908
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-3.mga8
+ Revision: 1485429
- rebuild for new ocaml-stdio/ocaml-ppxlib

* Wed Jan 29 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485237
- rebuild for ocaml-re

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483884
- new release + rebuild for ocaml-4.10

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.1-2.mga7
+ Revision: 1324926
- Add missing dependency

* Wed Oct 24 2018 pterjan <pterjan> 1:0.11.1-1.mga7
+ Revision: 1324768
- Update to 0.11.1

* Sat Sep 29 2018 umeabot <umeabot> 1:0.10.0-6.mga7
+ Revision: 1311212
- Mageia 7 Mass Rebuild

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-5.mga7
+ Revision: 1255675
- rebuild for new ocaml-result 1.3

* Wed Aug 22 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1253373
- rebuild for new ocaml-re 1.7.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1241922
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1199041
- fix shared stubs libraries ocaml path

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193333
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-4.mga6
+ Revision: 977713
- Do not ship expect_test_evaluator_lib as it requires Ocaml_re which I failed to find

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-3.mga6
+ Revision: 977425
- Rebuild for new sexplib

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 977397
- Rebuild for ocaml-re

* Sun Feb 21 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 975862
- imported package ocaml-ppx_expect

